Bug 217705 - /etc/termcap on snapshots FreeBSD 12.0-CURRENT-arm-armv6 links to nowhere
Summary: /etc/termcap on snapshots FreeBSD 12.0-CURRENT-arm-armv6 links to nowhere
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: CURRENT
Hardware: arm Any
: --- Affects Many People
Assignee: Rodney W. Grimes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-11 13:50 UTC by cyclaero
Modified: 2017-05-28 00:14 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cyclaero 2017-03-11 13:50:33 UTC
I guess this should be fixed before releasing 12.0 

Steps to reproduce:

# mdconfig -a -t vnode -f FreeBSD-12.0-CURRENT-arm-armv6-BEAGLEBONE-20170309-r314972.img
# mount -o noatime /dev/md0s2a /media
# ls -l /media/etc/termcap

------
lrwxr-xr-x  1 root  wheel  36 Mar  9 22:25 /media/etc/termcap -> ../../../../../../share/misc/termcap
------

Workaround before copying the snapshot to the SD card (or possibly after the fact, on the running system):
# cd /media/etc
# rm termcap
# ln -s ../usr/share/misc/termcap

# umount /media
# mdconfig -d -u 0

Best regards

Rolf
Comment 1 Rodney W. Grimes freebsd_committer 2017-03-11 14:08:26 UTC
This is caused by my changes to make etc/termcap a relative symbolic link,
it looks as if something in the arm build tools is broken with respect to
that.

Your workaround is correct, that is how the symbolic link should appear.

I'll have to investigate why this builds different for arm than i386/amd.
Comment 2 commit-hook freebsd_committer 2017-03-12 00:37:59 UTC
A commit references this bug:

Author: rgrimes
Date: Sun Mar 12 00:37:45 UTC 2017
New revision: 315091
URL: https://svnweb.freebsd.org/changeset/base/315091

Log:
  Revert r314833 until the problem with INSTALL_RSYMLINKS can be found
  as it appears to break arm release builds.

  PR:		217705
  Reported by:	cyclaero@gmail.com
  Approved by:	grehan (mentor) implict as reverting

Changes:
  head/share/termcap/Makefile
Comment 3 Rodney W. Grimes freebsd_committer 2017-03-12 00:42:27 UTC
I have reverted my commit that is the likely cause of this until
the probable problem in INSTALL_RSYMLINK for the arm builds can
be identified and fixed.

Adding bdrewery as he may be aware of why this went wrong.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2017-03-13 12:27:06 UTC
Over to committer.
Comment 5 commit-hook freebsd_committer 2017-05-28 00:14:15 UTC
A commit references this bug:

Author: rgrimes
Date: Sun May 28 00:13:45 UTC 2017
New revision: 319016
URL: https://svnweb.freebsd.org/changeset/base/319016

Log:
  MFC r314833
  	Convert absolute links to relative links.
  	Style.Makefile(9) has been ignored to produce minimal diffs.

  MFC r314837
  	The relative symlink fix causes downstream issues for
  	EMC DELL Isilon so revert the relative symlink fix
  	pending a better solution.

  	Reported by:	ngie

  MFC r315091
  	Revert r314833 until the problem with INSTALL_RSYMLINKS can be found
  	as it appears to break arm release builds.

  	PR:		217705
  	Reported by:	cyclaero@gmail.com

  Approved by:	grehan (mentor)

Changes:
_U  stable/11/
  stable/11/bin/pkill/Makefile
  stable/11/libexec/rtld-elf/Makefile
  stable/11/usr.bin/chpass/Makefile
  stable/11/usr.bin/passwd/Makefile
  stable/11/usr.sbin/bsdinstall/partedit/Makefile
  stable/11/usr.sbin/mailwrapper/Makefile
  stable/11/usr.sbin/nologin/Makefile